Exports a specific backup to a customer target Cloud Storage URI.
HTTP request
POST https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/backupCollections/*/backups/*}:export The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Instance backup resource name using the form: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "gcsBucket": string // End of mutually exclusive fields. } |
| Fields | |
|---|---|
| Required. Specify destination to export a backup. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
gcsBucket |
Google Cloud Storage bucket, like "my-bucket". |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/memorystore.read-write
IAM Permissions
Requires the following IAM permission on the name resource:
memorystore.backups.export
For more information, see the IAM documentation.